.cursor-pointer {
  cursor: pointer !important;
}

.table th {
  background: none;
}

.form-control {
  background: white;
}

.table> :not(caption)>*>* {
  //background: white;
}

.list-group-item {
  background: white;
}

.btn-request:not(.request-loading)>span.loading {
  display: none;
}

.btn-request.request-loading>span:not(.loading) {
  display: none;
}

/*
 * Property styles in unhighlighted state.
 */
.property {
  align-items: center;
  background-color: #ffffff;
  border-radius: 50%;
  color: #263238;
  display: flex;
  font-size: 16px;
  gap: 15px;
  height: 30px;
  justify-content: center;
  padding: 4px;
  position: relative;
  position: relative;
  transition: all 0.3s ease-out;
  width: 30px;
}

.property.highlight::after {
  bottom: unset;
  top: 100%;
}

.property::after {
  border-left: 9px solid transparent;
  border-right: 9px solid transparent;
  border-top: 9px solid #ffffff;
  content: "";
  height: 0;
  left: 50%;
  position: absolute;
  top: 90%;
  transform: translate(-50%, 0);
  transition: all 0.3s ease-out;
  width: 0;
  z-index: 1;
}

.property .icon {
  align-items: center;
  display: flex;
  justify-content: center;
  color: #ffffff;
}

.property .icon svg {
  height: 20px;
  width: auto;
}

.property .details {
  display: none;
  flex-direction: column;
  flex: 1;
}

.property .address {
  color: #9e9e9e;
  font-size: .8em;
  margin-bottom: 5px;
  margin-top: 5px;
}

.property .features {
  align-items: flex-end;
  display: flex;
  flex-direction: row;
  gap: 10px;
}

.property .features>div {
  align-items: center;
  background: #f5f5f5;
  border-radius: 5px;
  //border: 1px solid #ccc;
  display: flex;
  font-size: 10px;
  gap: 5px;
  padding: 5px;
  margin-bottom: 5px;
}

/*
 * Property styles in highlighted state.
 */
.property.blocked .icon {
  position: relative;
}

.property.blocked .icon:before {
  z-index: 2;
  content: '\f132\f132';
  font-family: "Font Awesome 6 Duotone";
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  display: var(--fa-display, inline-block);
  font-style: normal;
  font-variant: normal;
  line-height: 1;
  text-rendering: auto;
  color: #f08001;
  position: absolute;
  right: -2px;
  bottom: -2px;
  font-size: 75%;
}

.property.blocked.highlight .icon:before {
  font-size: 50%;
}

.property {
  background: rgb(82, 82, 82);
}

.property .icon {
  color: white;
}

.property::after {
  border-top-color: rgb(82, 82, 82);
}

.property.turned-on {
  background: #198754;
}

.property.turned-on::after {
  border-top-color: #198754;
}

.property:not(.highlight) .icon {
  animation: none !important;
}

.property.highlight {
  background-color: #ffffff;
  border-radius: 8px;
  box-shadow: 10px 10px 5px rgba(0, 0, 0, 0.2);
  height: auto;
  padding: 8px 15px;
  width: auto;
  animation: none !important;
}

.property.highlight .icon {
  color: black;
  font-size: 2.5em;
}

.property.highlight.turned-on .icon {
  color: #198754;
}

.property.highlight::after {
  border-top: 9px solid #ffffff;
}

.property.highlight .details {
  display: flex;
}

.property.highlight .icon svg {
  width: 50px;
  height: 50px;
}

svg.logotipo-branco {
  --logofill1: #ffffff;
  --logofill2: #ffffff;
}

.dropdown-toggle:after {
  transition: all .3s ease-in-out;
}

.dropdown-toggle.show:after,
.dropdown-toggle[aria-expanded="true"]:after {
  transform: rotateX(180deg);
}

#button_bound,
#button_follow_marker {
  position: absolute;
  z-index: 9;
  bottom: 3%;
  right: 80px;
}

#button_follow_marker {
  bottom: 9%;
}

.img-logo-navbar {
  min-width: 70px;
  max-width: 120px;
}

.select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option.select2-results__option--selected,
.select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option[aria-selected=true]:not(.select2-results__option--highlighted) {
  background-color: var(--bs-primary);
  color: #ffffff;
}

.select2-container+label {
  color: rgba(var(--bs-body-color-rgb), .65);
  transform: scale(.85) translateY(-.5rem) translateX(.15rem);
}

.form-floating .clr-field button {
  width: 100%;
  max-width: 50px;
  top: unset;
  transform: unset;
}

.form-floating .clr-field>.form-control,
.form-floating .clr-field>.form-control-plaintext,
.form-floating .clr-field>.form-select {
  height: calc(3.5rem + calc(var(--bs-border-width) * 2));
  min-height: calc(3.5rem + calc(var(--bs-border-width) * 2));
  line-height: 1.25;
}

.form-floating .clr-field {
  display: initial;
}

.form-floating .clr-field>label {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
  height: 100%;
  padding: 1rem .75rem;
  overflow: hidden;
  text-align: start;
  text-overflow: ellipsis;
  white-space: nowrap;
  pointer-events: none;
  border: var(--bs-border-width) solid transparent;
  transform-origin: 0 0;
  transition: opacity .1s ease-in-out, transform .1s ease-in-out;
}

.form-floating .clr-field>.form-control,
.form-floating .clr-field>.form-control-plaintext {
  padding: 1rem .75rem;
}

.form-floating .clr-field>.form-control,
.form-floating .clr-field>.form-control-plaintext,
.form-floating .clr-field>.form-select {
  height: calc(3.5rem + calc(var(--bs-border-width) * 2));
  min-height: calc(3.5rem + calc(var(--bs-border-width) * 2));
  line-height: 1.25;
}

.form-floating .clr-field>.form-control-plaintext:focus,
.form-floating .clr-field>.form-control-plaintext:not(:placeholder-shown),
.form-floating .clr-field>.form-control:focus,
.form-floating .clr-field>.form-control:not(:placeholder-shown) {
  padding-top: 1.625rem;
  padding-bottom: .625rem;
}
.form-floating .clr-field:has(.form-control-plaintext)~label,
.form-floating .clr-field:has(.form-control:focus)~label,
.form-floating .clr-field:has(.form-control:not(:placeholder-shown))~label,
.form-floating .clr-field:has(.form-select)~label {
    color: rgba(var(--bs-body-color-rgb), .65);
    transform: scale(.85) translateY(-.5rem) translateX(.15rem);
}

.form-floating ul.select2-selection__rendered{
  margin-top: 1.5rem!important;
}
.select2-container--bootstrap-5 .select2-selection--multiple{
  height: 4.8rem !important;
}

@-webkit-keyframes shakeX2 {

  0%,
  to {
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
  }

  10%,
  30%,
  50%,
  70%,
  90% {
    -webkit-transform: translate3d(-1px, 0, 0);
    transform: translate3d(-1px, 0, 0);
  }

  20%,
  40%,
  60%,
  80% {
    -webkit-transform: translate3d(5px, 0, 0);
    transform: translate3d(5px, 0, 0);
  }
}

@keyframes shakeX2 {

  0%,
  to {
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
  }

  10%,
  30%,
  50%,
  70%,
  90% {
    -webkit-transform: translate3d(-1px, 0, 0);
    transform: translate3d(-1px, 0, 0);
  }

  20%,
  40%,
  60%,
  80% {
    -webkit-transform: translate3d(5px, 0, 0);
    transform: translate3d(5px, 0, 0);
  }
}

.animate__shakeX2 {
  -webkit-animation-name: shakeX2;
  animation-name: shakeX2;
}

@-webkit-keyframes shakeY2 {

  0%,
  to {
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
  }

  10%,
  30%,
  50%,
  70%,
  90% {
    -webkit-transform: translate3d(0, -1px, 0);
    transform: translate3d(0, -1px, 0);
  }

  20%,
  40%,
  60%,
  80% {
    -webkit-transform: translate3d(0, 2px, 0);
    transform: translate3d(0, 2px, 0);
  }
}

@keyframes shakeY2 {

  0%,
  to {
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
  }

  10%,
  30%,
  50%,
  70%,
  90% {
    -webkit-transform: translate3d(0, -1px, 0);
    transform: translate3d(0, -1px, 0);
  }

  20%,
  40%,
  60%,
  80% {
    -webkit-transform: translate3d(0, 2px, 0);
    transform: translate3d(0, 2px, 0);
  }
}

.animate__shakeY2 {
  -webkit-animation-name: shakeY2;
  animation-name: shakeY2;
}

body {
  background: #eaeef3;
}